%define pkg_name        Email-LocalDelivery
%define pkg_version     0.217
%define rpm_pkg_version 0.21_7
%define rpm_pkg_release 1.n0i.3

Summary:       Deliver a piece of email
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RJ/RJBS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Email::FolderType) >= 0.7
BuildRequires: perl(Email::Simple) >= 1.998
BuildRequires: perl(File::Path::Expand) >= 1.01
%endif


%description
This module delivers an email to a list of mailboxes.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.21_7-1.n0i.3.0.217
- version 0.217

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.21_5-1.n0i.2.0.215
- spec file (re)created using N0i::CPAN::RPMizer 1.146
- version 0.215

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.09-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
